Various patches so wxxt compiles cleanly on newer C++ compiler

diff -rc2P wxxt-1.67/src/xt/DEV_psdc.cpp wxxt-1.67-new/src/xt/DEV_psdc.cpp
*** wxxt-1.67/src/xt/DEV_psdc.cpp	Wed Jul  9 11:01:26 1997
--- wxxt-1.67-new/src/xt/DEV_psdc.cpp	Sun Jul  2 15:22:24 2000
***************
*** 380,384 ****
  	    argv[1] = "-a4";
  	    argv[2] = ((wxThePrintSetupData->GetPrinterOrientation()
! 			== PS_LANDSCAPE) ? "-landscape" : "-portrait");
  	    argv[3] = wxThePrintSetupData->GetPrinterFile();
  	    argv[4] = NULL;
--- 380,384 ----
  	    argv[1] = "-a4";
  	    argv[2] = ((wxThePrintSetupData->GetPrinterOrientation()
! 			== PS_LANDSCAPE) ? (char*)"-landscape" : (char*)"-portrait");
  	    argv[3] = wxThePrintSetupData->GetPrinterFile();
  	    argv[4] = NULL;
diff -rc2P wxxt-1.67/src/xt/IPC_socket.cpp wxxt-1.67-new/src/xt/IPC_socket.cpp
*** wxxt-1.67/src/xt/IPC_socket.cpp	Wed Dec 17 17:33:43 1997
--- wxxt-1.67-new/src/xt/IPC_socket.cpp	Sun Jul  2 15:24:27 2000
***************
*** 500,504 ****
  int SockMgr::accept(int fd, struct sockaddr * addr, int * addrLen)
  {
!     int rval = ::accept(fd, addr, addrLen);
      if (rval > 0)
  	addSock(rval);
--- 500,504 ----
  int SockMgr::accept(int fd, struct sockaddr * addr, int * addrLen)
  {
!     int rval = ::accept(fd, addr, (size_t*)addrLen);
      if (rval > 0)
  	addSock(rval);
diff -rc2P wxxt-1.67/src/xt/UTL_path.cpp wxxt-1.67-new/src/xt/UTL_path.cpp
*** wxxt-1.67/src/xt/UTL_path.cpp	Wed Jul  9 11:01:23 1997
--- wxxt-1.67-new/src/xt/UTL_path.cpp	Sun Jul  2 15:17:41 2000
***************
*** 128,132 ****
  	    if (*s++ == '$') {
  		register char  *start = d;
! 		register        braces = (*s == '{' || *s == '(');
  		register char  *value;
  		while ((*d++ = *s))
--- 128,132 ----
  	    if (*s++ == '$') {
  		register char  *start = d;
! 		register bool  braces = (*s == '{' || *s == '(');
  		register char  *value;
  		while ((*d++ = *s))
diff -rc2P wxxt-1.67/src/xt/WIN_message.cpp wxxt-1.67-new/src/xt/WIN_message.cpp
*** wxxt-1.67/src/xt/WIN_message.cpp	Wed Jul  9 11:01:21 1997
--- wxxt-1.67-new/src/xt/WIN_message.cpp	Sun Jul  2 15:19:35 2000
***************
*** 201,205 ****
  }
  
! void wxMessage::SetLabel(char *message)
  {
      isBitmap = FALSE;
--- 201,205 ----
  }
  
! void wxMessage::SetLabel(const char *message)
  {
      isBitmap = FALSE;
***************
*** 209,213 ****
  	XtVaSetValues(HWidget(), XtNlabel, message, NULL);
      else
! 	XfwfSetLabel(HWidget(), message);
  }
  
--- 209,213 ----
  	XtVaSetValues(HWidget(), XtNlabel, message, NULL);
      else
! 	XfwfSetLabel(HWidget(), (char*)message);
  }
  
diff -rc2P wxxt-1.67/src/xt/WIN_windowlayout.cpp wxxt-1.67-new/src/xt/WIN_windowlayout.cpp
*** wxxt-1.67/src/xt/WIN_windowlayout.cpp	Wed Jul  9 11:01:20 1997
--- wxxt-1.67-new/src/xt/WIN_windowlayout.cpp	Sun Jul  2 15:20:45 2000
***************
*** 366,370 ****
      char *windowClass = "unknown";
  #endif
!     char *winName = (GetName() ? GetName() : "unnamed");
      wxDebugMsg("Constraint(s) not satisfied for window of type %s, name %s:\n", windowClass, winName);
      if (!constr->left.GetDone())
--- 366,370 ----
      char *windowClass = "unknown";
  #endif
!     const char *winName = (GetName() ? GetName() : "unnamed");
      wxDebugMsg("Constraint(s) not satisfied for window of type %s, name %s:\n", windowClass, winName);
      if (!constr->left.GetDone())
diff -rc2P wxxt-1.67/system.list wxxt-1.67-new/system.list
*** wxxt-1.67/system.list	Wed Dec 31 19:00:00 1969
--- wxxt-1.67-new/system.list	Sun Jul  2 14:49:18 2000
***************
*** 0 ****
--- 1,3 ----
+ linux-gnu
+ linux-gnu
+ linux-gnu
diff -rc2P wxxt-1.67/wx/WIN_message.h wxxt-1.67-new/wx/WIN_message.h
*** wxxt-1.67/wx/WIN_message.h	Wed May 14 05:06:52 1997
--- wxxt-1.67-new/wx/WIN_message.h	Sun Jul  2 14:38:54 2000
***************
*** 69,73 ****
      void AllowResize(Bool allow);
      void SetAlignment(long alignment);
!     void SetLabel(char *message);
      void SetLabel(wxBitmap *bitmap);
      void SetLabel(wxBitmap& bitmap);
--- 69,73 ----
      void AllowResize(Bool allow);
      void SetAlignment(long alignment);
!     void SetLabel(const char *message);
      void SetLabel(wxBitmap *bitmap);
      void SetLabel(wxBitmap& bitmap);
